Package org.gradle.api.publish.ivy.plugins

# Class IvyPublishPlugin

java.lang.Object
org.gradle.api.publish.ivy.plugins.IvyPublishPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class IvyPublishPlugin extends Object implements Plugin<Project>
Adds the ability to publish in the Ivy format to Ivy repositories.

Since:
  1.3
See Also:
  - Ivy Publishing reference

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IvyPublishPlugin(org.gradle.internal.reflect.Instantiator instantiator, ObjectFactory objectFactory, org.gradle.api.internal.artifacts.configurations.DependencyMetaDataProvider dependencyMetaDataProvider, org.gradle.api.internal.file.FileResolver fileResolver, ProviderFactory providerFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IvyPublishPlugin

    @Inject public IvyPublishPlugin(org.gradle.internal.reflect.Instantiator instantiator, ObjectFactory objectFactory, org.gradle.api.internal.artifacts.configurations.DependencyMetaDataProvider dependencyMetaDataProvider, org.gradle.api.internal.file.FileResolver fileResolver, ProviderFactory providerFactory)

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object